// Archivo main.cpp 
#include <iostream>
#include<locale.h>
#include <windows.h>
#include "asesoria.hpp"
using namespace std;
Asesoria Ase[12];
void lectura(void);
void titulos(void);
void imprime(void);
int main()
{
	system("cls");
	system("color 70");
	setlocale(LC_ALL, "");
	string seguir = "S";
	while (seguir == "S" or seguir == "s")
	{
		system("cls");
		cout << "\n\t\t\t    Programa que procesa objetos de la clase Asesoría financiera";
		cout << "\n\t\t\t    ------------------------------------------------------------";
		lectura();
		Sleep(200),
		titulos();
		Sleep(200);
		imprime();
		Sleep(200);
		cout << endl;
		cout << "\n\tDesea procesar nuevamente S o N: ";
		cin >> seguir;
		while (seguir != "S" and seguir != "s" and seguir != "N" and seguir != "n")
		{
			cout << "\n\tError. Digite S o  N\t";
			Sleep(200);
			cin >> seguir;
		}
	}
}
void lectura(void)
{
	string no, ge, ac, con;
	int ni, ed, ncon, va, se, to;
	for (int j = 0; j < 12; j++)		//Ciclo de carga de datos
	{
		system("cls");
		system("color 70");
		cout << "\n\tDatos del usuario " << j + 1 << endl;
		cout << "\n\t----------------------------------";
		cout << "\n\tIngrese cuatro últimos dígitos del nit: ";
		cin >> ni;
		while (ni < 1000 or ni > 9999)
		{
			cout << "\n\tError. Ingrese cuatro últimos dígitos del nit: ";
			cin >> ni;
		}
		cout << "\n\tDigite el nombre: ";
		cin >> no;
		cout << "\n\tIngrese el género F o M: ";
		cin >> ge;
		while (ge != "f" and ge != "F" and ge != "m" and ge != "M")
		{
			cout << "\n\tError. Ingrese el género F o M: ";
			cin >> ge;
		}
		cout << "\n\tDigite la edad: ";
		cin >> ed;
		while (ed <= 0 or ed > 150)
		{
			cout << "\n\tError. Digite la edad: ";
			cin >> ed;
		}
		cout << "\n\tIngrese actividad: ";
		cin >> ac;
		cout << "\n\tDigite número de consulta: 1.Contable 2.Finanzas 3.Inversion 4.Otra: ";
		cin >> ncon;
		while (ncon < 1 or ncon > 4)
		{
			cout << "\n\tError. Digite número de consulta: 1.Contable 2.Finanzas 3.Inversion 4.Otra: ";
			cin >> ncon;
		}
		switch (ncon)
		{
		case 1:
			con = "Contable";
			va = 50000;
			break;
		case 2:
			con = "Finanzas";
			va = 65000;
			break;
		case 3:
			con = "Inversion";
			va = 60000;
			break;
		case 4:
			con = "Otra";
			va = 55000;
		}
		cout << "\n\tIngrese número de sesiones: ";
		cin >> se;
		while (se <= 0)
		{
			cout << "\n\tError. Ingrese número de sesiones: ";
			cin >> se;
		}
		to = va * se;
		Ase[j].getasesoria(ni, no, ge, ed, ac, con, va, se, to);
		Sleep(200);
	}
}
void titulos(void)
{
	system("cls");
	cout << "\n\t\t\tPrograma que procesa objetos de la clase Asesoría financiera";
	cout << "\n\t\t\t------------------------------------------------------------";
	cout << endl;
	cout << "\n\t\t\t\tDatos y resultados de consulta financiera";
	cout << "\n\t\t\t\t-----------------------------------------";
	cout << endl;
	cout << "\n\tNit.\t" << "   Nombre   \t" << "Género\t" << "Edad\t" << "  Actividad  \t" << "Consulta \t" << "Valor\t" << "Sesiones   " << " Total  ";
	cout << "\n\t----\t" << "------------\t" << "-------\t" << "---\t" << "-------------\t" << "---------\t" << "-----\t" << "--------   " << "--------";
}
void imprime(void)
{
	for (int j = 0; j < 12; j++)		//Ciclo de visualización de datos y cálculos
	{
		Ase[j].setasesoria();
		Sleep(200);
	}
}
// final del archivo main.cpp
